# prompt_strategies.dpo.llama3

`prompt_strategies.dpo.llama3`

DPO strategies for llama-3 chat template

## Functions

Name | Description
--- | ---
argilla_chat | for argilla/dpo-mix-7k conversations
icr | chatml transforms for datasets with system, input, chosen, rejected
intel | For Intel Orca DPO Pairs
ultra | for ultrafeedback binarized conversations

### argilla_chat

    prompt_strategies.dpo.llama3.argilla_chat(cfg, **kwargs)

for argilla/dpo-mix-7k conversations

### icr

    prompt_strategies.dpo.llama3.icr(cfg, **kwargs)

chatml transforms for datasets with system, input, chosen, rejected ex. https://huggingface.co/datasets/argilla/distilabel-intel-orca-dpo-pairs

### intel

    prompt_strategies.dpo.llama3.intel(cfg, **kwargs)

For Intel Orca DPO Pairs

### ultra

    prompt_strategies.dpo.llama3.ultra(cfg, **kwargs)

for ultrafeedback binarized conversations